#!/bin/sh

mem=$[`grep MemTotal /proc/meminfo | sed 's/[^0-9]//g'`*4]
[ $mem -ge 32948992 ] && mem=32948992

cat > /var/cache/alterator/vm-profile.scm << _EOF_
((workstation
  (title . "Setup for workstation")
  (action . trivial)
  (actiondata  ("swap" (size $mem . $mem) (fsim . "SWAPFS") (methods plain))
               ("/" (size 22000000 . 22000000 ) (fsim . "Ext2/3") (methods plain))
               ("/home" (size 4194304 . #t) (fsim . "Ext2/3") (methods  plain))))
	       )
_EOF_
